org.apache.commons.jelly.tags.dynabean

## Class SetTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.dynabean.SetTag

All Implemented Interfaces:
  Tag

    public class SetTag
    extends TagSupport

A tag which sets a variable from the result of an expression

Version:
  1.0
Author:
  Theo Niemeijer

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`SetTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setProperty(java.lang.String property)` Sets the name of the property to set on the target object.
`protected void` `setPropertyValue(java.lang.Object target, java.lang.String property, java.lang.Object value)`
`void` `setScope(java.lang.String scope)` Sets the variable scope for this variable.
`void` `setTarget(java.lang.Object target)` Sets the target object on which to set a property.
`void` `setValue(Expression value)` Sets the expression to evaluate.
`void` `setVar(java.lang.String var)` Sets the variable name to define for this expression

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetTag

    public SetTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### setVar

    public void setVar(java.lang.String var)

Sets the variable name to define for this expression

#### setScope

    public void setScope(java.lang.String scope)

Sets the variable scope for this variable. For example setting this value to 'parent' will set this value in the parent scope. When Jelly is run from inside a Servlet environment then other scopes will be available such as 'request', 'session' or 'application'. Other applications may implement their own custom scopes.

#### setValue

    public void setValue(Expression value)

Sets the expression to evaluate.

#### setTarget

    public void setTarget(java.lang.Object target)

Sets the target object on which to set a property.

#### setProperty

    public void setProperty(java.lang.String property)

Sets the name of the property to set on the target object.

#### setPropertyValue

    protected void setPropertyValue(java.lang.Object target,
                        java.lang.String property,
                        java.lang.Object value)